﻿CREATE TABLE [dbo].[CompanyPLStatement] (
    [Id]                                                 UNIQUEIDENTIFIER NOT NULL,
    [CompanyId]                                          UNIQUEIDENTIFIER NOT NULL,
    [CurrencyId]                                         UNIQUEIDENTIFIER NOT NULL,
    [ValueConversionId]                                  UNIQUEIDENTIFIER NOT NULL,
    [CompanyName]                                        NVARCHAR (256)   NOT NULL,
    [Currency]                                           NVARCHAR (256)   NULL,
    [Units]                                              NVARCHAR (256)   NULL,
    [Year]                                               INT              NOT NULL,
    [Revenue]                                            DECIMAL (19, 4)  NULL,
    [CostsAndExpenses]                                   DECIMAL (19, 4)  NULL,
    [CostOfProduction]                                   DECIMAL (19, 4)  NULL,
    [ResourceCost]                                       DECIMAL (19, 4)  NULL,
    [SalaryCost]                                         DECIMAL (19, 4)  NULL,
    [CostOfSales]                                        DECIMAL (19, 4)  NULL,
    [GrossProfit]                                        DECIMAL (19, 4)  NULL,
    [SellingExpenses]                                    DECIMAL (19, 4)  NULL,
    [MarketingExpenses]                                  DECIMAL (19, 4)  NULL,
    [AdministrativeExpenses]                             DECIMAL (19, 4)  NULL,
    [GeneralExpenses]                                    DECIMAL (19, 4)  NULL,
    [SellingGeneralAndAdminExpenses]                     DECIMAL (19, 4)  NULL,
    [ResearchAndDevelopmentExpenses]                     DECIMAL (19, 4)  NULL,
    [Depreciation]                                       DECIMAL (19, 4)  NULL,
    [Amortization]                                       DECIMAL (19, 4)  NULL,
    [Restructuring]                                      DECIMAL (19, 4)  NULL,
    [OtherIncomeOrDeductions]                            DECIMAL (19, 4)  NULL,
    [TotalOperatingExpenses]                             DECIMAL (19, 4)  NULL,
    [EBIT]                                               DECIMAL (19, 4)  NULL,
    [EBITDA]                                             DECIMAL (19, 4)  NULL,
    [InterestIncome]                                     DECIMAL (19, 4)  NULL,
    [InterestExpense]                                    DECIMAL (19, 4)  NULL,
    [EBT]                                                DECIMAL (19, 4)  NULL,
    [Tax]                                                DECIMAL (19, 4)  NULL,
    [NetIncomeFromContinuingOperations]                  DECIMAL (19, 4)  NULL,
    [DiscontinuedOperations]                             DECIMAL (19, 4)  NULL,
    [IncomeLossFromDiscontinuedOperations]               DECIMAL (19, 4)  NULL,
    [GainOnDisposalOfDiscontinuedOperations]             DECIMAL (19, 4)  NULL,
    [DiscontinuedOperationsNetOfTax]                     DECIMAL (19, 4)  NULL,
    [NetIncomeBeforeAllocationToNoncontrollingInterests] DECIMAL (19, 4)  NULL,
    [NonControllingInterests]                            DECIMAL (19, 4)  NULL,
    [NetIncome]                                          DECIMAL (19, 4)  NULL,
    [BasicEPS_]                                          DECIMAL (19, 4)  NULL,
    [BasicEPSFromContinuingOperations]                   DECIMAL (19, 4)  NULL,
    [BasicEPSFromDiscontinuedOperations]                 DECIMAL (19, 4)  NULL,
    [BasicEPS]                                           DECIMAL (19, 4)  NULL,
    [DilutedEPS_]                                        DECIMAL (19, 4)  NULL,
    [DilutedEPSFromContinuingOperations]                 DECIMAL (19, 4)  NULL,
    [DilutedEPSFromDiscontinuedOperations]               DECIMAL (19, 4)  NULL,
    [DilutedEPS]                                         DECIMAL (19, 4)  NULL,
    [WeightedAverageSharesOutstandingBasic]              DECIMAL (19, 4)  NULL,
    [WeightedAverageSharesOutstandingDiluted]            DECIMAL (19, 4)  NULL,
    [CreatedOn]                                          DATETIME2 (7)    NULL,
    [UserCreatedById]                                    UNIQUEIDENTIFIER NULL,
    [ModifiedOn]                                         DATETIME2 (7)    NULL,
    [UserModifiedById]                                   UNIQUEIDENTIFIER NULL,
    [IsDeleted]                                          BIT              NOT NULL,
    [DeletedOn]                                          DATETIME2 (7)    NULL,
    [UserDeletedById]                                    UNIQUEIDENTIFIER NULL
);



